Get card limit histories
Get card limit histories
GET /svc/ts/api/v1/openapi/cards/:id/limit/history
Request
Path Parameters
id stringrequired
limit.id
Query Parameters
offset number
分页偏移值
Example: 0
limit number
分页大小
Example: 10
limit_id string
limit.id
Responses
- 200
Response Headers
-
application/json
-
Schema
-
Example (auto)
-
Example
Schema
data objectrequired
limit_history object[]required
Array [
id stringrequired
remark stringrequired
remark
card_limit stringrequired
limit.id
limit_amount stringrequired
limit_amount
p_created_at stringrequired
修改时间
]
code error code (integer)required
message error message (string)required
{
"data": {
"limit_history": [\
{\
"id": "string",\
"remark": "string",\
"card_limit": "string",\
"limit_amount": "string",\
"p_created_at": "string"\
}\
]
},
"code": 0,
"message": "string"
}{
"code": 200,
"data": {
"limit_history": [\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "b93ee9a8-f042-41b0-ab84-24e5bad484b2",\
"limit_amount": "1001",\
"p_created_at": "2025-07-08T17:12:00.066332Z",\
"remark": ""\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "1b2c3a3a-9f35-4da4-8a39-f4faaa61ed53",\
"limit_amount": "200",\
"p_created_at": "2025-07-08T09:29:51.897244Z",\
"remark": "test 200"\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "d4f11df4-8e0a-4e7a-bbd0-dc2ff58f5c60",\
"limit_amount": "200",\
"p_created_at": "2025-07-08T09:21:42.87075Z",\
"remark": ""\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "effe414c-dfe8-4613-b823-26783c255870",\
"limit_amount": "500",\
"p_created_at": "2025-07-08T09:08:50.956187Z",\
"remark": ""\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "62479509-2425-4ce6-8a72-e84b2f2303b0",\
"limit_amount": "100",\
"p_created_at": "2025-07-08T09:07:26.362547Z",\
"remark": ""\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "072213f9-8432-42a8-a215-e85684a27167",\
"limit_amount": "0",\
"p_created_at": "2025-07-08T08:44:56.355604Z",\
"remark": ""\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "b04e5778-4aab-401f-8529-e719d7210aad",\
"limit_amount": "0",\
"p_created_at": "2025-07-08T08:44:30.616889Z",\
"remark": ""\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "5eaf9b1c-8029-41f4-bddc-db3241fd0007",\
"limit_amount": "0",\
"p_created_at": "2025-07-08T08:43:50.259853Z",\
"remark": ""\
},\
{\
"card_limit": "3b3d8531-8532-403f-888c-c85fbf17621d",\
"id": "b28c58d7-d82b-459d-abb0-fa5cce526b2b",\
"limit_amount": "0",\
"p_created_at": "2025-07-08T08:25:20.574326Z",\
"remark": ""\
}\
]
},
"message": "succeed"
}-
csharp
-
curl
-
dart
-
go
-
http
-
java
-
javascript
-
kotlin
-
c
-
nodejs
-
objective-c
-
ocaml
-
php
-
powershell
-
python
-
r
-
ruby
-
rust
-
shell
-
swift
-
HTTPCLIENT
-
RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.wonder.today/svc/ts/api/v1/openapi/cards/:id/limit/history");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());Request Collapse all
Parameters
id — pathrequired
Show optional parameters
offset — query
limit — query
limit_id — query